## unity-notifications 0.1.1+13.10.20131004.2-0ubuntu1

=== debian/changelog ===
unity-notifications (0.1.1+13.10.20131004.2-0ubuntu1) saucy; urgency=low

  * Revert 0.1.1+13.10.20131004.1-0ubuntu1 to 0.1.0+13.10.20130905.2-0ubuntu1
    as unity8 is getting revert due to a CPU hogging bug.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 04 Oct 2013 21:25:48 +0200

unity-notifications (0.1.1+13.10.20131004.1-0ubuntu1) saucy; urgency=low

  [ Michał Sawicz ]
  * Bump version to indicate support for passing hints through.
  * Look for *any* slashes, not just a leading one, to support URLs.
    Also drop an outdated FIXME. (LP: #1224095)

  [ Mirco Müller ]
  * Added support for new hints "x-canonical-private-menu-model" and "x-
    canonical-ext-snap-decisions" allowing to pass in UnityMenuModel UI-
    descriptions and enable extended snap-decisions.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 175

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 04 Oct 2013 06:55:02 +0000

unity-notifications (0.1.0+13.10.20130905.2-0ubuntu1) saucy; urgency=low

  [ Jussi Pakkanen ]
  * Remove stray "lesser" qualifiers from license link text.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 171

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 05 Sep 2013 10:47:48 +0000

unity-notifications (0.1.0+13.10.20130801-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 169

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 01 Aug 2013 14:30:21 +0000

unity-notifications (0.1.0+13.10.20130703ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Francis Ginther ]
  * Added coverage targets.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 168 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 03 Jul 2013 02:35:04 +0000

unity-notifications (0.1.0+13.10.20130702ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Mirco Müller ]
  * The frontend no longer needs ActionModel::actionId(), so to keep the
    backend's API cleaner actionId() was removed.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 166 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Jul 2013 02:31:06 +0000

unity-notifications (0.1.0+13.10.20130628ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Didier Roche ]
  * More modern multiarch support.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 164 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Jun 2013 02:31:04 +0000

unity-notifications (0.1.0+13.10.20130627ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 162 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Jun 2013 09:48:55 +0000

unity-notifications (0.1.0daily13.06.20-0ubuntu1) saucy; urgency=low

  [ Jussi Pakkanen ]
  * Initial release.
  * Started work on the notification backend.
  * Skeleton classes for the system.
  * Private structs for objects.
  * Some work in the renderer.
  * Can insert notifications.
  * Can delete notifications from the store.
  * One header for common definitions.
  * Added ID number to Notification.
  * Keep notifications in order in the stack.
  * Check that renderer is called.
  * Removed check by pointer.
  * CMake harness for Qt5.
  * Can display string list. Hoo ray.
  * Created own model.
  * Model works, even.
  * Data flows between model and view.
  * Insert and delete operations.
  * Can add and remove items from the model and the view is updated.
  * Insert at the beginning.
  * Can instantiate a window from a ui file.
  * Generate UI files properly.
  * Moved to multiple inheritance model.
  * Can connect signals.
  * Button can be used to invoke segfaults. Which is a problem because
    it should invoke data insertion.
  * Notifications have identifying strings in them.
  * Added type to Notification class.
  * Insert notification objects into model.
  * Notifications expire on timeouts.
  * Non-visible notifications are queued.
  * Can send synchronous notifications and they take precedence.
  * Switched to smart pointers for great non-memory-leaking justice!
  * Interactive notifications are queued and dequeued properly.
  * Can send snap decisions.
  * Snap decisions are put in and queued properly.
  * Can send notifications of different type.
  * Take display time from Notification objects.
  * Track time already spent showing each notification.
  * Confucious say: one bad comparison operator cause massive bughunt.
  * Keep input queues sorted according to importance.
  * Changed header suffix to .h.
  * Added two files that I accidentally moved with "mv <filename>
    <filename>" instead of "bzr mv <filename> <filename>".
  * Function renaming.
  * Priority for async notifications.
  * Interactive notifications have priorities.
  * Proper compare function for qStableSort.
  * Snap decisions have priority too.
  * Find proper place to put snap decisions, since there may be several
    of them.
  * Made Notification a QObject so it can be exposed to QML.
  * Default constructor for QML.
  * Can create a Qml view.
  * Can expose Notification objects to Qml.
  * Make Notification owned by a shared pointer.
  * Snap decisions override everything else.
  * Added function to remove notifications from the model.
  * Expose notificationmodel to Qml.
  * Started work on DBus service.
  * Start work on dbus service tool.
  * Register service name. Also not crash.
  * Added capabilities.
  * Renamed dbus server.
  * Added client test application.
  * Tried to make the dbus communication work. Unsuccessfully.
  * It workses!
  * Capabilities travel through dbus.
  * More interface exposing.
  * Reply signals.
  * Expose the entire DBus API in correct form.
  * Started work on proper notification client test app.
  * Added slots for signal invocation.
  * (Try to) connect to dbus signal.
  * Working to get the signals going. Thus far unsuccessfully.

