=== debian/control ===
Source: unity-notifications
Section: libs
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9~),
               cmake,
               pkg-config,
               qtdeclarative5-dev,
               qtbase5-dev-tools,
# For Qml tests
               qtchooser,
               qt5-default,
               qtdeclarative5-dev-tools,
               qtdeclarative5-test-plugin,
               qtdeclarative5-qtquick2-plugin,
Standards-Version: 3.9.4

Package: qtdeclarative5-unity-notifications-plugin
Provides: unity-notifications-impl,
          unity-notifications-impl-1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Unity Notifications - shared library
 This package provides an interface and implementation of desktop notifications.
