## unity-notifications 0.1.1+14.04.20140402

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,9 @@
 option(build_tools "Build developer tools." OFF)
 option(private_dbus "Use private dbus namespace to prevent clashes during development." OFF)
 
+include(cmake/coverage.cmake)
 include(FindPkgConfig)
+include (GNUInstallDirs)
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++0x")
 add_definitions(-DQT_NO_KEYWORDS)
@@ -23,14 +25,12 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pedantic")
 endif()
 
-set(LIBDIR "lib" CACHE PATH "Destination install dir for the library")
-
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 find_package(Qt5Widgets REQUIRED)
 # Workaround for https://bugreports.qt-project.org/browse/QTBUG-29987
-set(QT_IMPORTS_DIR "${LIBDIR}/qt5/qml")
+set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
 
 include_directories(include)
 include_directories(${CMAKE_CURRENT_BINARY_DIR}/include)
