=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 add_executable(notificationtest notificationtest.cpp)
 target_link_libraries(notificationtest notifybackend)
-qt5_use_modules(notificationtest Gui Core Widgets)
+qt5_use_modules(notificationtest Gui Test Core Widgets)
 
 add_test(notification notificationtest)
 set_tests_properties(notification PROPERTIES ENVIRONMENT "QT_QPA_PLATFORM=minimal")
