## unity-notifications 0.1.2+14.10.20140922

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+include(FindPkgConfig)
+pkg_check_modules(NOTIFICATIONS_API REQUIRED unity-shell-notifications=3)
+
 set(CORE_SRCS
 ActionModel.cpp
 ../include/ActionModel.h
@@ -9,6 +12,7 @@
 ../include/NotificationServer.h
 NotificationClient.cpp
 ../include/NotificationClient.h
+${NOTIFICATIONS_API_INCLUDEDIR}/unity/shell/notifications/ModelInterface.h
 )
 
 # Build everything twice. Since we have only a few
