=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,8 @@
 set(CORE_SRCS
 ActionModel.cpp
 ../include/ActionModel.h
+DBusTypes.cpp
+../include/DBusTypes.h
 Notification.cpp
 ../include/Notification.h
 NotificationModel.cpp
@@ -15,17 +17,32 @@
 ${NOTIFICATIONS_API_INCLUDEDIR}/unity/shell/notifications/ModelInterface.h
 )
 
-# Build everything twice. Since we have only a few
-# source files, this is not an issue. If it does
-# become one, change tools so they use the plugin
-# instead of calling the classes directly.
+set_source_files_properties(
+    "org.freedesktop.Notifications.xml"
+    PROPERTIES
+    NO_NAMESPACE YES
+    INCLUDE "DBusTypes.h"
+)
 
-add_library(notifybackend SHARED
+qt5_add_dbus_adaptor(
+    CORE_SRCS
+    "org.freedesktop.Notifications.xml"
+    NotificationServer.h
+    NotificationServer
+    NotificationsAdaptor
+)
+
+qt5_add_dbus_interface(
+    CORE_SRCS
+    "org.freedesktop.Notifications.xml"
+    NotificationsInterface
+)
+
+add_library(notifybackend STATIC
 ${CORE_SRCS}
 )
 
 add_library(notifyplugin MODULE
-${CORE_SRCS}
 NotificationPlugin.cpp
 ../include/NotificationPlugin.h
 )
@@ -33,7 +50,12 @@
 set_target_properties(notifyplugin PROPERTIES
   SOVERSION ${SONAME}
   VERSION ${SOVERSION}
-  )
+)
+
+target_link_libraries(
+  notifyplugin
+  notifybackend
+)
 
 add_library(notifyclientplugin MODULE
 NotificationClientPlugin.cpp
@@ -45,11 +67,14 @@
 set_target_properties(notifyclientplugin PROPERTIES
   SOVERSION ${SONAME}
   VERSION ${SOVERSION}
-  )
+)
+
+target_link_libraries(
+  notifyclientplugin
+  notifybackend
+)
 
 qt5_use_modules(notifybackend Widgets DBus Qml)
-qt5_use_modules(notifyplugin Widgets DBus Qml)
-qt5_use_modules(notifyclientplugin Widgets DBus Qml)
 
 execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=plugindir_suffix unity-shell-api OUTPUT_VARIABLE SHELL_INSTALL_QML OUTPUT_STRIP_TRAILING_WHITESPACE)
 if(SHELL_INSTALL_QML STREQUAL "")
